# List

`GET /user/tokens`

Get list of personal access tokens

**Required Scopes:** `TOKEN_INFO`

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  access_tokens?: ShortAccessTokenView[];
}
```

## Type Definitions

```typescript
interface ShortAccessTokenView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the access token */
  id?: string;
  /** The name/description of the access token */
  name?: string;
  /** The actual access token value. Only returned when creating a new token */
  token?: string;
  /** The token expiration time in days */
  expires_in?: number;
  /** The token expiration date */
  expires_at?: string;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/user/tokens",
  "html_url": "https://app.buddy.works/security",
  "access_tokens": [
    {
      "url": "https://api.buddy.works/user/tokens/ed0f8927-c116-4afe-b555-c888dfd86c92",
      "html_url": "https://app.buddy.works/api-tokens/details/ed0f8927-c116-4afe-b555-c888dfd86c92",
      "id": "ed0f8927-c116-4afe-b555-c888dfd86c92",
      "name": "My API Token",
      "expires_at": "2025-10-17T10:30:18.123456789Z"
    },
    {
      "url": "https://api.buddy.works/user/tokens/a1b2c3d4-e5f6-789a-bcde-f012345678ab",
      "html_url": "https://app.buddy.works/api-tokens/details/a1b2c3d4-e5f6-789a-bcde-f012345678ab",
      "id": "a1b2c3d4-e5f6-789a-bcde-f012345678ab",
      "name": "CI/CD Token",
      "expires_at": "2025-09-30T15:45:33.987654321Z"
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/platform/account/personal-access-tokens/list